#
# config.mk.in -- autoconf template for Vim on Unix		vim:ts=8:sw=8:
#
# DO NOT EDIT config.mk!!  It will be overwritten by configure.
# Edit Makefile and run "make" or run ./configure with other arguments.
#
# Configure does not edit the makefile directly. This method is not the
# standard use of GNU autoconf, but it has two advantages:
#   a) The user can override every choice made by configure.
#   b) Modifications to the makefile are not lost when configure is run.
#
# I hope this is worth being nonstandard. jw.



VIMNAME		= Vim
EXNAME		= ex
VIEWNAME	= view

CC		= gcc
DEFS		= -DHAVE_CONFIG_H -DDYNAMIC_PYTHON
CFLAGS		= -g -O -isysroot /Developer/SDKs/MacOSX10.4u.sdk -arch i386 -arch ppc
CPPFLAGS	=  -DMACOS_X_UNIX -no-cpp-precomp -I/Developer/SDKs/MacOSX10.4u.sdk/Developer/Headers/FlatCarbon
srcdir		= .

LDFLAGS		=  -L/usr/local/lib -isysroot /Developer/SDKs/MacOSX10.4u.sdk -arch i386 -arch ppc
LIBS		= -lncurses  -liconv
TAGPRG		= ctags -t

CPP		= gcc -E
CPP_MM		= M
DEPEND_CFLAGS_FILTER = | sed 's+-I */+-isystem /+g'
X_CFLAGS	= 
X_LIBS_DIR	= 
X_PRE_LIBS	= 
X_EXTRA_LIBS	= 
X_LIBS		= 

MZSCHEME_LIBS	= 
MZSCHEME_SRC	= 
MZSCHEME_OBJ	= 
MZSCHEME_CFLAGS	= 
MZSCHEME_PRO	= 

PERL		= 
PERLLIB		= 
PERL_LIBS	= 
SHRPENV		= 
PERL_SRC	= 
PERL_OBJ	= 
PERL_PRO	= 
PERL_CFLAGS	= 

PYTHON_SRC	= if_python.c
PYTHON_OBJ	= objects/if_python.o
PYTHON_CFLAGS	= -I/System/Library/Frameworks/Python.framework/Versions/2.5/include/python2.5
PYTHON_LIBS	=
PYTHON_CONFDIR	=
PYTHON_GETPATH_CFLAGS =

TCL		= 
TCL_SRC		= 
TCL_OBJ		= 
TCL_PRO		= 
TCL_CFLAGS	= 
TCL_LIBS	= 

HANGULIN_SRC	= 
HANGULIN_OBJ	= 

WORKSHOP_SRC	= 
WORKSHOP_OBJ	= 

NETBEANS_SRC	= netbeans.c
NETBEANS_OBJ	= objects/netbeans.o

RUBY		= 
RUBY_SRC	= 
RUBY_OBJ	= 
RUBY_PRO	= 
RUBY_CFLAGS	= 
RUBY_LIBS	= 

SNIFF_SRC	= 
SNIFF_OBJ	= 

AWK		= gawk

STRIP		= strip

EXEEXT		= 

COMPILEDBY	= 

INSTALLVIMDIFF	= installvimdiff
INSTALLGVIMDIFF	= installgvimdiff
INSTALL_LANGS	= 
INSTALL_TOOL_LANGS	= 

### Line break character as octal number for "tr"
NL		= "\\012"

### Top directory for everything
prefix		= /Applications

### Top directory for the binary
exec_prefix	= ${prefix}

### Prefix for location of data files
BINDIR		= ${exec_prefix}/bin

### For autoconf 2.60 and later (avoid a warning)
datarootdir	= @datarootdir@

### Prefix for location of data files
DATADIR		= ${prefix}/Vim.app/Contents/Resources

### Prefix for location of man pages
MANDIR		= ${prefix}/man

### Do we have a GUI
GUI_INC_LOC	= 
GUI_LIB_LOC	= 
GUI_SRC		= $(MACVIMGUI_SRC)
GUI_OBJ		= $(MACVIMGUI_OBJ)
GUI_DEFS	= $(MACVIMGUI_DEFS)
GUI_IPATH	= $(MACVIMGUI_IPATH)
GUI_LIBS_DIR	= $(MACVIMGUI_LIBS_DIR)
GUI_LIBS1	= $(MACVIMGUI_LIBS1)
GUI_LIBS2	= $(MACVIMGUI_LIBS2)
GUI_INSTALL	= $(MACVIMGUI_INSTALL)
GUI_TARGETS	= $(MACVIMGUI_TARGETS)
GUI_MAN_TARGETS	= $(MACVIMGUI_MAN_TARGETS)
GUI_TESTTARGET	= $(MACVIMGUI_TESTTARGET)
GUI_TESTARG	= $(MACVIMGUI_TESTARG)
GUI_BUNDLE	= $(MACVIMGUI_BUNDLE)
NARROW_PROTO	= 
GUI_X_LIBS	= 
MOTIF_LIBNAME	= 
GTK_LIBNAME	= 

### Any OS dependent extra source and object file
OS_EXTRA_SRC	= 
OS_EXTRA_OBJ	= objects/os_macosx.o objects/os_mac_conv.o

### If the *.po files are to be translated to *.mo files.
MAKEMO		= 

# Make sure that "make first" will run "make all" once configure has done its
# work.  This is needed when using the Makefile in the top directory.
first: all
